// Flat Color Shader

#type vertex
#version 460 core

layout(location = 0) in vec3 a_Position;
layout(location = 1) in vec2 a_TexCoord;

layout(std140, binding = 0) uniform Camera
{
mat4 u_ViewProjection;
};

void main() {
    gl_Position = u_ViewProjection * vec4(a_Position, 1.0f);
}

#type fragment
#version 460 core

layout(location = 0) out vec4 color;


void main() {
        color = vec4(1.0f, 0.0f, 0.0f, 1.0f);
}
